#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
static void _in_ep(WSCbase* object);
static void _out_ep(WSCbase* object);

void hlight(WSCbase* object){
  //do something...
  //MOUSE-IN 트리거로 기동되는 이벤트 프로시저를 객체에
  //붙여놓습니다.
  WSCprocedure* ep0 = new WSCprocedure("강조표시 ON",WSEV_MOUSE_IN);
  ep0->setFunction(_in_ep,"_in_ep");
  object->addProcedure(ep0);

  //MOUSE-OUT 트리거로 기동되는 이벤트 프로시저를 객체에
  //붙여놓습니다.
  WSCprocedure* ep1 = new WSCprocedure("강조표시 OFF",WSEV_MOUSE_OUT);
  ep1->setFunction(_out_ep,"_out_ep");
  object->addProcedure(ep1);

}

void _in_ep(WSCbase* object){
  //원래 배경색을 취득합니다.
  WSCvariant col = object->getProperty(WSNbackColor);
  //취득한 색을 속성 WSNuserString 에 기억시킵니다.
  object->setProperty(WSNuserString,col);
  //배경색을 강조색으로 설정합니다.
  object->setProperty(WSNbackColor,"gray90");
}
void _out_ep(WSCbase* object){
  //기억해놓은 원래 배경색을 취득합니다.
  WSCvariant col = object->getProperty(WSNuserString);
  //배경색을 원래색으로 되돌립니다.
  object->setProperty(WSNbackColor,col);
}

static WSCfunctionRegister  op("hlight",(void*)hlight);
